Bug 224105 - [UPDATE] port x11-wm/enlightenment to v0.22.1
Summary: [UPDATE] port x11-wm/enlightenment to v0.22.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-enlightenment (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-05 10:02 UTC by Nils Beyer
Modified: 2018-07-09 19:16 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (enlightenment)


Attachments
svnlite diff to increase version to 0.22.1 _and_ re-enabling setuid on several helper binaries... (23.31 KB, patch)
2017-12-05 10:02 UTC, Nils Beyer
no flags Details | Diff
[patch] svnlite diff to increase version to 0.22.1 _and_ re-enabling setuid on several helper binaries... (fixed pkg-plist) (6.42 KB, patch)
2017-12-05 13:14 UTC, Nils Beyer
no flags Details | Diff
188545: [patch] svnlite diff to increase version to 0.22.1 _and_ re-enabling setuid on several helper binaries... (fixed pkg-plist and PORTEPOCH) (6.38 KB, patch)
2017-12-05 13:34 UTC, Nils Beyer
no flags Details | Diff
enlightenment-0.22.1.diff (6.38 KB, patch)
2017-12-06 09:19 UTC, Nils Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nils Beyer 2017-12-05 10:02:04 UTC
Created attachment 188540 [details]
svnlite diff to increase version to 0.22.1 _and_ re-enabling setuid on several helper binaries...
Comment 1 Tobias Kortkamp freebsd_committer 2017-12-05 13:00:10 UTC
Hi,

some of the pkg-plist changes cannot possibly be correct:

-lib/enlightenment/modules/backlight/%%ENLIGHTENMENT_ARCH%%/module.so
+lib/enlightenment/modules/backlight/freebsd12.0-amd64-0.22/module.so

freebsd12.0-amd64-0.22 should be replaced with %%ENLIGHTENMENT_ARCH%%.
It's defined in Makefile.plist for some reason which probably needs an
update too.

-%%NLS%%share/locale/ar/LC_MESSAGES/enlightenment.mo
+share/locale/ar/LC_MESSAGES/enlightenment.mo

All locale files will have to be prefixed with %%NLS%% (otherwise the
NLS option will be broken).

+PORTEPOCH=	0

Once PORTEPOCH is bumped it can never be reset to a lower value.
Comment 2 Nils Beyer 2017-12-05 13:14:09 UTC
"pkg-plist" is corrected now. Thank you very much for the explainations. Makes absolute sense to me now and the resulting diff much smaller. I trusted into "make makeplist" too much.

Regarding "PORTEPOCH" - I don't understand your objection. Why should PORTEPOCH ever be lower than "0" (zero)? Isn't it sensible to reset PORTEPOCH to zero whenever PORTVERSION increases?
Comment 3 Nils Beyer 2017-12-05 13:14:46 UTC
Created attachment 188545 [details]
[patch] svnlite diff to increase version to 0.22.1 _and_ re-enabling setuid on several helper binaries... (fixed pkg-plist)
Comment 4 Tobias Kortkamp freebsd_committer 2017-12-05 13:19:23 UTC
(In reply to Nils Beyer from comment #2)

> Regarding "PORTEPOCH" - I don't understand your objection. Why should
> PORTEPOCH ever be lower than "0" (zero)? Isn't it sensible to reset PORTEPOCH 
> to zero whenever PORTVERSION increases?

No, you can reset PORTREVISION but never decrease or reset PORTEPOCH.
It's increase-only.  See https://www.freebsd.org/doc/en/books/porters-handbook/makefile-naming.html#makefile-portepoch
Comment 5 Nils Beyer 2017-12-05 13:34:11 UTC
Created attachment 188547 [details]
188545: [patch] svnlite diff to increase version to 0.22.1 _and_ re-enabling setuid on several helper binaries... (fixed pkg-plist and PORTEPOCH)
Comment 6 Nils Beyer 2017-12-05 13:35:27 UTC
(In reply to Nils Beyer from comment #5)

Understood...
Comment 7 Nils Beyer 2017-12-06 09:19:14 UTC
Created attachment 188578 [details]
enlightenment-0.22.1.diff

*sigh* "-ver-"-interfix needs to be removed...
Comment 8 Chris Petrik 2018-03-13 23:16:52 UTC
We chose to remove the setuid bits for a reason. so please remove them. As per the message users can add them if they require them. Also please setup a test bed using poudriere so you don't end up submitting 3838383 patches.
Comment 9 commit-hook freebsd_committer 2018-07-09 19:14:48 UTC
A commit references this bug:

Author: gblach
Date: Mon Jul  9 19:13:44 UTC 2018
New revision: 474282
URL: https://svnweb.freebsd.org/changeset/ports/474282

Log:
  devel/py-efl:
    - Update to 1.20.0

  multimedia/rage:
    - Update to 0.3.0
    - Switch to meson

  x11/terminology:
    - Update to 1.2.1
    - Switch to meson

  x11-wm/enlightenment:
    - Update to 0.22.3 [1]
    - Fix typo in pkg-message [2]

  PR:		224105 [1], 226569 [2]
  Submitted by:	Nils Beyer [1], Chris Petrik [2]

Changes:
  head/devel/py-efl/Makefile
  head/devel/py-efl/distinfo
  head/multimedia/rage/Makefile
  head/multimedia/rage/distinfo
  head/x11/terminology/Makefile
  head/x11/terminology/distinfo
  head/x11/terminology/pkg-plist
  head/x11-wm/enlightenment/Makefile
  head/x11-wm/enlightenment/Makefile.plist
  head/x11-wm/enlightenment/distinfo
  head/x11-wm/enlightenment/files/pkg-message.in
  head/x11-wm/enlightenment/pkg-plist
Comment 10 Grzegorz Blach freebsd_committer 2018-07-09 19:16:48 UTC
Committed with update to 0.22.3. Thanks.